org.eclipse.rdf4j.federated.algebra

## Class BoundFiltersNode

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode
  - - org.eclipse.rdf4j.federated.algebra.BoundFiltersNode

- All Implemented Interfaces:
    Serializable, Cloneable, GraphPatternGroupable, QueryModelNode, VariableScopeChange

      public class BoundFiltersNode
      extends AbstractQueryModelNode

  A `QueryModelNode` for printing the bound filter vars (e.g. in a `FedXStatementPattern`)
  Author:
    Andreas Schwarte
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoundFiltersNode(BindingSet boundFilters)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSignature()` Default implementation of `QueryModelNode.getSignature()` that prints the name of the node's class.
    `<X extends Exception> void` | `visit(QueryModelVisitor<X> visitor)` Visits this node.
    `static <X extends Exception> void` | `visit(QueryModelVisitor<X> visitor, BindingSet boundFilters)`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode

      `clone, getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getTotalTimeNanosActual, isGraphPatternGroup, isVariableScopeChange, nullEquals, replaceChildNode, replaceNodeInList, replaceWith, setCostEstimate, setGraphPatternGroup, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, setVariableScopeChange, toString, visitChildren`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.QueryModelNode

      `equals`

- - ### Constructor Detail

    - #### BoundFiltersNode

          public BoundFiltersNode(BindingSet boundFilters)

  - ### Method Detail

    - #### visit

          public <X extends Exception> void visit(QueryModelVisitor<X> visitor)
                                           throws X extends Exception

      Description copied from interface: `QueryModelNode`
      Visits this node. The node reports itself to the visitor with the proper runtime type.
      Throws:
        `X extends Exception`

    - #### getSignature

          public String getSignature()

      Description copied from class: `AbstractQueryModelNode`
      Default implementation of `QueryModelNode.getSignature()` that prints the name of the node's class.
      Specified by:
        `getSignature` in interface `QueryModelNode`
      Overrides:
        `getSignature` in class `AbstractQueryModelNode`
      Returns:
        The node's signature, e.g. `SLICE (offset=10, limit=10)`.

    - #### visit

          public static <X extends Exception> void visit(QueryModelVisitor<X> visitor,
                                                         BindingSet boundFilters)
                                                  throws X extends Exception

      Throws:
        `X extends Exception`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.